Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_statement_decode_parts

## Name

librdf_statement_decode_parts -- Decodes a statement + context node from a buffer

## Synopsis

``size_t `librdf_statement_decode_parts`` (librdf_statement* `statement`, librdf_node** `context_node`, unsigned char * `buffer`, size_t `length`);`

## Arguments

`statement`

  the statement to deserialise into

`context_node`

  pointer to librdf_node context_node to deserialise into

`buffer`

  the buffer to use

`length`

  buffer size

## Description

Decodes the serialised statement (as created by `librdf_statement_encode` ) from the given buffer. If a context node is found and context_node is not NULL, a pointer to the new librdf_node is stored in *context_node.

## Return value

number of bytes used or 0 on failure (bad encoding, allocation failure)

<<< Previous | Home | Next >>>
librdf_statement_decode | Up | RDF Resource / Predicate / Literal